/* Tipps:
 * 
 * Der Typ char speichert einen einzelnen Buchstaben.
 * Einzelne Buchstaben weden in Java in einfache Anfuehrungszeichen gesetzt
 * char characterDemo = 'X';
 * 
 * Terminal.readString() liest ein Wort(String) von der Konsole
 * Terminal.readChar() liest einen Buchstaben(char) von der Konsole
 * 
 * Strings haben bei Java die Besonderheit, dass sie einige Methoden mitbringen
 * die den Umgang mit ihnen erleichtern.
 * 
 * "Text".contains("xt") liefert true wenn "xt" in "Text" enthalten ist, sonst false.
 * "Text".charAtPosition(0) liefert den 0ten Buchstaben aus "Text", hier also das "T".
 * 
 * Mehr Methoden findest du brigens unter http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html
 * im Bereich "Method summary". Eine nhere Erklrung dazu gibt es spter in LE6. 
 * 
 * Um dir die Arbeit ein wenig zu erleichtern haben wir dir eine Methode vorgegeben, die in einem String einen 
 * Buchstaben ersetzt (siehe unten) 
 */

public class Hangman {

	public static void main(String[] arguments) {
		
	}
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	/**
	 * Ersetzt einen Buchstaben in @param word an @param position durch @param character
	 * @return Ergebnis dieser Ersetzung.
	 */
	public static String replaceCharAtPosition(String word, char character, int position){
		// Fehlerbehandlung
		if(null == word) {
			System.out.println("Es wurde kein String bergeben.");
			return word;
		}
		if(word.length() <= position || position < 0){
			System.out.println("Die angegebene Position befindet sich auerhalb des bergebenen Strings.");
			return word;
		}
		// Ersetzung
		return word.substring(0, position) + character + word.substring(position +1);
	}
	
	
}
